%define		status		beta
%define		pearname	HTML_Page2
Summary:	%{pearname} - base class for XHTML page generation
Summary(pl.UTF-8):	%{pearname} - klasa bazowa do generowania dokumentów XHTML
Name:		php-pear-%{pearname}
Version:	0.6.5
Release:	1
License:	PHP License 3.0
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	eb727c6591dd3a3edc2fa2b3d582fc17
URL:		http://pear.php.net/package/HTML_Page2/
BuildRequires:	php-pear-PEAR >= 1:1.5.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-pear
Requires:	php-pear-HTML_Common >= 1.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PEAR::HTML_Page2 package provides a simple interface for
generating an XHTML compliant page.
- supports virtually all HTML doctypes, from HTML 2.0 through XHTML
  1.1 and XHTML Basic 1.0 plus preliminary support for XHTML 2.0
- namespace support
- global language declaration for the document
- line ending styles
- full META tag support
- support for stylesheet declaration in the head section
- support for script declaration in the head section
- support for linked stylesheets and scripts
- full support for header link tags
- body can be a string, object with toHtml or toString methods or an
  array (can be combined)

Ideas for use:
- Use to validate the output of a class for XHTML compliance
- Quick prototyping using PEAR packages is now a breeze

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Klasa PEAR::HTML_Page2 dostarcza prosty interfejs do generowania stron
zgodnych z XHTML.
- wsparcie dla praktycznie wszystkich typów HTML, od HTML 2.0 przez
  XHTML 1.1 i XHTML Basic 1.0 do podstawowego wsparcia dla XHTML 2.0
- wsparcie dla przestrzeni nazw
- globalna deklaracja języka dokumentu
- pełne wsparcie dla znaczników META
- wsparcie dla deklaracji stylu w sekcji head
- wsparcie dla deklaracji skryptów w sekcji head
- wsparcie dla stylów i skryptów osadzonych w innych plikach
- pełne wsparcie dla odnośników w nagłówku
- ciało dokumentu może być ciągiem znaków, obiektem z metodami toHtml
  lub toString lub też tablicą

Klasa może być wykorzystana do:
- sprawdzania poprawności klasy względem XHTML

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

mv docs/%{pearname}/examples .
mv .%{php_pear_dir}/data/HTML_Page2/README .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_examplesdir}/%{name}-%{version}}
%pear_package_install

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log README
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/HTML/Page2.php
%dir %{php_pear_dir}/HTML/Page2
%{php_pear_dir}/HTML/Page2/Doctypes.php
%{php_pear_dir}/HTML/Page2/Namespaces.php
%{php_pear_dir}/HTML/Page2/Frameset.php
%dir %{php_pear_dir}/HTML/Page2/Frameset
%{php_pear_dir}/HTML/Page2/Frameset/Frame.php
%{_examplesdir}/%{name}-%{version}
%changelog
* Mon May 18 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-HTML_Page2.git;a=log;h=master

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> c0c01d7
- drop obsolete and outdated manual inclusion of rpm macros

* Tue Oct 23 2018 Adam Gołębiowski <adamg@pld-linux.org> 74f3791
- updated to 0.6.5

* Tue Aug 28 2012 Elan Ruusamäe <glen@delfi.ee> 0990989
- up to 0.6.3

* Thu Sep 15 2011 Elan Ruusamäe <glen@pld-linux.org> bff37e1
- up to 0.6.2

* Sun Aug 22 2010 Elan Ruusamäe <glen@pld-linux.org> 3aa8e94
- ensure rpmbuild macros present

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 3857f0b
- updated deps with pearize.sh
- release 2

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> c09f97e
- up to 0.6.0-beta

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 61a76d6
- rel 4

* Thu Nov 22 2007 Elan Ruusamäe <glen@pld-linux.org> 40f8e06
- rel 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> efbb502
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 97761d8
- converted to UTF-8

* Sun Sep 10 2006 Jakub Bogusz <qboosh@pld-linux.org> 20b32c0
- pl fix, missing dir

* Mon Sep 04 2006 Elan Ruusamäe <glen@pld-linux.org> 934a4fe
- rel 2

* Mon Sep 04 2006 Elan Ruusamäe <glen@pld-linux.org> 86d804b
- don't use epoch when not defined

* Mon Sep 04 2006 Adam Gołębiowski <adamg@pld-linux.org> 5142360
- new

